#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEC,0x37,0xF6,0xDF,0x03,0x32,0x90,0x6C,0xE9,0x41,0x1F,0xD0,
		0xFF,0xE8,0x91,0x30,0xF3,0x33,0x99,0x96,0x8A,0x20,0xD3,0xED,
		0xB6,0x13,0x4A,0x93,0x65,0x51,0x2C,0x3A,0xFC,0xC4,0xC2,0x0E,
		0xA5,0x82,0x1D,0x47,0x92,0x1D,0x7D,0x4F,0xDB,0x24,0x07,0x30,
		0x3D,0xEE,0x97,0x4B,0x7A,0xFD,0x20,0xB4,0x8C,0xA4,0x69,0xD9,
		0x54,0x08,0x2F,0x03,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
